# APIs

## Subscription

{% hint style="success" %}
Subscribe to [our plan](https://metasleuth.io/plans#apis) to use this API in your service to help meet the compliance requirements and save users' assets.
{% endhint %}

## Get Supported Chains

## Get a list of supported chains

> Retrieve a list of all blockchains supported by the address label APIs

```json
{"openapi":"3.1.1","info":{"title":"address label api","version":"3.1"},"servers":[{"url":"https://aml.blocksec.com/address-label/api/v3"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"API-KEY","in":"header"}},"schemas":{"response.ApiResponse":{"type":"object","properties":{"code":{"description":"Error code, 200000 means no error","allOf":[{"$ref":"#/components/schemas/err.BizCode"}]},"message":{"description":"Prompt message","type":"string"},"request_id":{"description":"The unique ID of the request","type":"string"}}},"err.BizCode":{"type":"integer","enum":[200000,400000,400001,400002,400003,400004,400005,400006,400007,400008,400009,400010,400011,400012,400013,400014,400015,400016,500000]},"chain.ChainResponse":{"type":"object","properties":{"chain_id":{"type":"integer"},"chain_name":{"type":"string"}}}}},"paths":{"/chain-list":{"get":{"description":"Retrieve a list of all blockchains supported by the address label APIs","tags":["chains"],"summary":"Get a list of supported chains","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/response.ApiResponse"},{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/chain.ChainResponse"}}}}]}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/response.ApiResponse"},{"type":"object","properties":{"data":{"type":"object"}}}]}}}}}}}}}
```

## Get Address Labels

## Get the label of a single address.

> Retrieve detailed label information of a specific address on a particular chain.

```json
{"openapi":"3.1.1","info":{"title":"address label api","version":"3.1"},"servers":[{"url":"https://aml.blocksec.com/address-label/api/v3"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"API-KEY","in":"header"}},"schemas":{"response.ApiResponse":{"type":"object","properties":{"code":{"description":"Error code, 200000 means no error","allOf":[{"$ref":"#/components/schemas/err.BizCode"}]},"message":{"description":"Prompt message","type":"string"},"request_id":{"description":"The unique ID of the request","type":"string"}}},"err.BizCode":{"type":"integer","enum":[200000,400000,400001,400002,400003,400004,400005,400006,400007,400008,400009,400010,400011,400012,400013,400014,400015,400016,500000]},"common.AddressResponse":{"description":"Detailed address information including chain and entity details","type":"object","properties":{"address":{"description":"Blockchain address","type":"string"},"attributes":{"description":"Address attributes","type":"array","items":{"$ref":"#/components/schemas/common.AttributeInfo"}},"chain_id":{"description":"Chain ID","type":"integer"},"comp_entity":{"description":"Complementary entity name","type":"string"},"comp_entity_info":{"description":"Complementary entity detailed information","allOf":[{"$ref":"#/components/schemas/common.EntityResponse"}]},"main_entity":{"description":"Main entity name","type":"string"},"main_entity_info":{"description":"Main entity detailed information","allOf":[{"$ref":"#/components/schemas/common.EntityResponse"}]},"name_tag":{"description":"Custom name tag","type":"string"}}},"common.AttributeInfo":{"description":"Attribute information with name, code and details","type":"object","properties":{"code":{"description":"Attribute code","type":"integer"},"comp_info":{"description":"Additional attribute details","type":"array","items":{"type":"string"}},"name":{"description":"Attribute name","type":"string"}}},"common.EntityResponse":{"description":"Entity information including name, categories, attributes and description","type":"object","properties":{"attributes":{"description":"Attributes of the entity","type":"array","items":{"$ref":"#/components/schemas/common.AttributeInfo"}},"categories":{"description":"Categories of the entity","type":"array","items":{"$ref":"#/components/schemas/common.CategoryInfo"}},"description":{"description":"Detailed description of the entity","allOf":[{"$ref":"#/components/schemas/model.Description"}]},"entity":{"description":"Entity name","type":"string"}}},"common.CategoryInfo":{"description":"Category information with name and code","type":"object","properties":{"code":{"description":"Category code","type":"integer"},"name":{"description":"Category name","type":"string"}}},"model.Description":{"type":"object","properties":{"discord":{"type":"string"},"telegram":{"type":"string"},"twitter":{"type":"string"},"website":{"type":"string"}}},"address.labelByAddressReq":{"type":"object","required":["address","chain_id"],"properties":{"address":{"type":"string"},"chain_id":{"type":"integer"}}}}},"paths":{"/labels":{"post":{"description":"Retrieve detailed label information of a specific address on a particular chain.","tags":["address"],"summary":"Get the label of a single address.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/response.ApiResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/common.AddressResponse"}}}]}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/response.ApiResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/address.labelByAddressReq"}}},"description":"Request body with chain and address","required":true}}}}}
```

## Get Address Labels in Batch

## Get the labels of multiple addresses on the same chain in batch

> Retrieve detailed label information of a list of addresses on a particular chain.

```json
{"openapi":"3.1.1","info":{"title":"address label api","version":"3.1"},"servers":[{"url":"https://aml.blocksec.com/address-label/api/v3"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"API-KEY","in":"header"}},"schemas":{"response.ApiResponse":{"type":"object","properties":{"code":{"description":"Error code, 200000 means no error","allOf":[{"$ref":"#/components/schemas/err.BizCode"}]},"message":{"description":"Prompt message","type":"string"},"request_id":{"description":"The unique ID of the request","type":"string"}}},"err.BizCode":{"type":"integer","enum":[200000,400000,400001,400002,400003,400004,400005,400006,400007,400008,400009,400010,400011,400012,400013,400014,400015,400016,500000]},"common.AddressResponse":{"description":"Detailed address information including chain and entity details","type":"object","properties":{"address":{"description":"Blockchain address","type":"string"},"attributes":{"description":"Address attributes","type":"array","items":{"$ref":"#/components/schemas/common.AttributeInfo"}},"chain_id":{"description":"Chain ID","type":"integer"},"comp_entity":{"description":"Complementary entity name","type":"string"},"comp_entity_info":{"description":"Complementary entity detailed information","allOf":[{"$ref":"#/components/schemas/common.EntityResponse"}]},"main_entity":{"description":"Main entity name","type":"string"},"main_entity_info":{"description":"Main entity detailed information","allOf":[{"$ref":"#/components/schemas/common.EntityResponse"}]},"name_tag":{"description":"Custom name tag","type":"string"}}},"common.AttributeInfo":{"description":"Attribute information with name, code and details","type":"object","properties":{"code":{"description":"Attribute code","type":"integer"},"comp_info":{"description":"Additional attribute details","type":"array","items":{"type":"string"}},"name":{"description":"Attribute name","type":"string"}}},"common.EntityResponse":{"description":"Entity information including name, categories, attributes and description","type":"object","properties":{"attributes":{"description":"Attributes of the entity","type":"array","items":{"$ref":"#/components/schemas/common.AttributeInfo"}},"categories":{"description":"Categories of the entity","type":"array","items":{"$ref":"#/components/schemas/common.CategoryInfo"}},"description":{"description":"Detailed description of the entity","allOf":[{"$ref":"#/components/schemas/model.Description"}]},"entity":{"description":"Entity name","type":"string"}}},"common.CategoryInfo":{"description":"Category information with name and code","type":"object","properties":{"code":{"description":"Category code","type":"integer"},"name":{"description":"Category name","type":"string"}}},"model.Description":{"type":"object","properties":{"discord":{"type":"string"},"telegram":{"type":"string"},"twitter":{"type":"string"},"website":{"type":"string"}}},"address.labelByAddressesReq":{"type":"object","required":["addresses","chain_id"],"properties":{"addresses":{"type":"array","items":{"type":"string"}},"chain_id":{"type":"integer"}}}}},"paths":{"/batch-labels":{"post":{"description":"Retrieve detailed label information of a list of addresses on a particular chain.","tags":["address"],"summary":"Get the labels of multiple addresses on the same chain in batch","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/response.ApiResponse"},{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/common.AddressResponse"}}}}]}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/response.ApiResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/address.labelByAddressesReq"}}},"description":"Request body with chain and addresses","required":true}}}}}
```

## Get Address Labels Across Multiple Chains in Batch

## Get address labels across multiple chains

> Retrieve address labels for multiple addresses across specified blockchain networks

```json
{"openapi":"3.1.1","info":{"title":"address label api","version":"3.1"},"servers":[{"url":"https://aml.blocksec.com/address-label/api/v3"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"API-KEY","in":"header"}},"schemas":{"response.ApiResponse":{"type":"object","properties":{"code":{"description":"Error code, 200000 means no error","allOf":[{"$ref":"#/components/schemas/err.BizCode"}]},"message":{"description":"Prompt message","type":"string"},"request_id":{"description":"The unique ID of the request","type":"string"}}},"err.BizCode":{"type":"integer","enum":[200000,400000,400001,400002,400003,400004,400005,400006,400007,400008,400009,400010,400011,400012,400013,400014,400015,400016,500000]},"common.BatchAddressesResponse":{"description":"Response containing multiple addresses for a specific chain","type":"object","properties":{"addresses":{"description":"List of addresses","type":"array","items":{"$ref":"#/components/schemas/common.AddressResponse"}},"chain_id":{"description":"Chain ID","type":"integer"}}},"common.AddressResponse":{"description":"Detailed address information including chain and entity details","type":"object","properties":{"address":{"description":"Blockchain address","type":"string"},"attributes":{"description":"Address attributes","type":"array","items":{"$ref":"#/components/schemas/common.AttributeInfo"}},"chain_id":{"description":"Chain ID","type":"integer"},"comp_entity":{"description":"Complementary entity name","type":"string"},"comp_entity_info":{"description":"Complementary entity detailed information","allOf":[{"$ref":"#/components/schemas/common.EntityResponse"}]},"main_entity":{"description":"Main entity name","type":"string"},"main_entity_info":{"description":"Main entity detailed information","allOf":[{"$ref":"#/components/schemas/common.EntityResponse"}]},"name_tag":{"description":"Custom name tag","type":"string"}}},"common.AttributeInfo":{"description":"Attribute information with name, code and details","type":"object","properties":{"code":{"description":"Attribute code","type":"integer"},"comp_info":{"description":"Additional attribute details","type":"array","items":{"type":"string"}},"name":{"description":"Attribute name","type":"string"}}},"common.EntityResponse":{"description":"Entity information including name, categories, attributes and description","type":"object","properties":{"attributes":{"description":"Attributes of the entity","type":"array","items":{"$ref":"#/components/schemas/common.AttributeInfo"}},"categories":{"description":"Categories of the entity","type":"array","items":{"$ref":"#/components/schemas/common.CategoryInfo"}},"description":{"description":"Detailed description of the entity","allOf":[{"$ref":"#/components/schemas/model.Description"}]},"entity":{"description":"Entity name","type":"string"}}},"common.CategoryInfo":{"description":"Category information with name and code","type":"object","properties":{"code":{"description":"Category code","type":"integer"},"name":{"description":"Category name","type":"string"}}},"model.Description":{"type":"object","properties":{"discord":{"type":"string"},"telegram":{"type":"string"},"twitter":{"type":"string"},"website":{"type":"string"}}},"address.labelByChainsAddressesReq":{"type":"object","required":["addresses","chains"],"properties":{"addresses":{"type":"array","items":{"type":"string"}},"chains":{"type":"array","items":{"type":"integer"}}}}}},"paths":{"/multi-chains-labels":{"post":{"description":"Retrieve address labels for multiple addresses across specified blockchain networks","tags":["address"],"summary":"Get address labels across multiple chains","responses":{"200":{"description":"Successfully returned address labels","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/response.ApiResponse"},{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/common.BatchAddressesResponse"}}}}]}}}},"400":{"description":"Invalid request parameters","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/response.ApiResponse"},{"type":"object","properties":{"data":{"type":"object"}}}]}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/response.ApiResponse"},{"type":"object","properties":{"data":{"type":"object"}}}]}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/address.labelByChainsAddressesReq"}}},"description":"Multi-chain address label request","required":true}}}}}
```

{% hint style="info" %}
The quota consumed is calculated as follows:

**Quota = Number of Addresses × Number of Chains.**

For example, querying 3 addresses on 2 chains consumes a total of 6 quotas (3 × 2 = 6).
{% endhint %}

## Get Entity Info

## Get entity information by entity name

> Retrieve detailed information based on the provided entity name, supporting suffix matching

```json
{"openapi":"3.1.1","info":{"title":"address label api","version":"3.1"},"servers":[{"url":"https://aml.blocksec.com/address-label/api/v3"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"API-KEY","in":"header"}},"schemas":{"response.ApiResponse":{"type":"object","properties":{"code":{"description":"Error code, 200000 means no error","allOf":[{"$ref":"#/components/schemas/err.BizCode"}]},"message":{"description":"Prompt message","type":"string"},"request_id":{"description":"The unique ID of the request","type":"string"}}},"err.BizCode":{"type":"integer","enum":[200000,400000,400001,400002,400003,400004,400005,400006,400007,400008,400009,400010,400011,400012,400013,400014,400015,400016,500000]},"common.EntityResponse":{"description":"Entity information including name, categories, attributes and description","type":"object","properties":{"attributes":{"description":"Attributes of the entity","type":"array","items":{"$ref":"#/components/schemas/common.AttributeInfo"}},"categories":{"description":"Categories of the entity","type":"array","items":{"$ref":"#/components/schemas/common.CategoryInfo"}},"description":{"description":"Detailed description of the entity","allOf":[{"$ref":"#/components/schemas/model.Description"}]},"entity":{"description":"Entity name","type":"string"}}},"common.AttributeInfo":{"description":"Attribute information with name, code and details","type":"object","properties":{"code":{"description":"Attribute code","type":"integer"},"comp_info":{"description":"Additional attribute details","type":"array","items":{"type":"string"}},"name":{"description":"Attribute name","type":"string"}}},"common.CategoryInfo":{"description":"Category information with name and code","type":"object","properties":{"code":{"description":"Category code","type":"integer"},"name":{"description":"Category name","type":"string"}}},"model.Description":{"type":"object","properties":{"discord":{"type":"string"},"telegram":{"type":"string"},"twitter":{"type":"string"},"website":{"type":"string"}}},"entity.requestByEntity":{"type":"object","required":["entity"],"properties":{"entity":{"type":"string"}}}}},"paths":{"/entity":{"post":{"description":"Retrieve detailed information based on the provided entity name, supporting suffix matching","tags":["entity"],"summary":"Get entity information by entity name","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/response.ApiResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/common.EntityResponse"}}}]}}}},"400":{"description":"Parameter error","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/response.ApiResponse"},{"type":"object","properties":{"data":{"type":"string"}}}]}}}},"500":{"description":"Internal service error","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/response.ApiResponse"},{"type":"object","properties":{"data":{"type":"string"}}}]}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/entity.requestByEntity"}}},"description":"Entity query request","required":true}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.metasleuth.io/blocksec-aml-api/address-label-api/apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
